package com.fenalco.entities;

import com.fenalco.utilities.database.Transaction;

/*
 * ProductShoppingCart.java
 *
 * Created on 12 de agosto de 2004, 16:35 
 */

/**
 * Esta clase representa los productos que forman parte del carrito de compras
 * con los respectivos campos que son relevantes para el carrito : id, nombre,
 * cantidad, precio, y estado
 * 
 * @author Mario Linares Vásquez
 * 
 * CONTROL DE CAMBIOS:
 * 
 * Fecha Autor tipo cambio descripción 2004/08/21 Andrés adicion constructor se
 * adiciono el parámetro productCode
 *  
 */

public class ShoppingCartProduct extends AbstractProduct
{
	/**
	 * Nombre de la categoría a la que pertenece el producto
	 */
	String category;

	/**
	 * Nombre de la marca del producto
	 */
	String brand;

	/**
	 * Minima cantidad de este producto que se puede pedir
	 */
	int minimum;

	/**
	 * Constructor por omisión de la clase
	 */
	public ShoppingCartProduct( )
	{

	}

	/**
	 * @return Returns the totalPrice.
	 */
	public double getTotalPrice( )
	{
		return getPrice() * quantity;
	}

	public boolean delete( Transaction transaction )
	{
		return false;
	}

	public boolean loadData( int id )
	{
		return false;
	}

	public boolean saveData( Transaction transaction )
	{
		return false;
	}

	public boolean update( Transaction transaction )
	{
		return false;
	}

	/**
	 * Getter for property category.
	 * 
	 * @return Value of property category.
	 */
	public java.lang.String getCategory( )
	{
		return category;
	}

	/**
	 * Setter for property category.
	 * 
	 * @param category
	 *            New value of property category.
	 */
	public void setCategory( java.lang.String category )
	{
		this.category = category;
	}

	/**
	 * Getter for property brand.
	 * 
	 * @return Value of property brand.
	 */
	public java.lang.String getBrand( )
	{
		return brand;
	}

	/**
	 * Setter for property brand.
	 * 
	 * @param brand
	 *            New value of property brand.
	 */
	public void setBrand( java.lang.String brand )
	{
		this.brand = brand;
	}

	/**
	 * Getter for property minimum.
	 * 
	 * @return Value of property minimum.
	 */
	public int getMinimum( )
	{
		return minimum;
	}

	/**
	 * Setter for property minimum.
	 * 
	 * @param minimum
	 *            New value of property minimum.
	 */
	public void setMinimum( int minimum )
	{
		this.minimum = minimum;
	}
}